:- module_interface(prolog_misc).

:- import(prolog_types).
:- import(prolog_num).
:- import(prolog_meta).

% other commonly used predicates

:- pred number_chars(num,list(_Char)).		% StdP
:- pred number_codes(num,list(char_code)).	% StdP
:- pred atom_chars(atom,list(_Char)).		% StdP
:- pred atom_codes(atom,list(_CharCode)).	% StdP
:- pred atom_concat(atom,atom,atom).		% StdP
:- pred atom_length(atom,nat).			% StdP

:- pred sub_atom(atom,int,int,int,atom).        % StdP

:- pred char_code(char,char_code).		% StdP
:- pred char_conversion(char,char).		% StdP
:- pred current_char_conversion(char,char).	% StdP

:- type keyvalue(K,V) --> K - V.
:- pred keysort(list(keyvalue(@K,@V)),list(keyvalue(@K,@V))).
:- pred sort(list(@T),list(@T)).

:- pred set_prolog_flag(atom,term).		% StdP
:- pred current_prolog_flag(atom,term).		% StdP

%:- pred use_module(atom).
%:- pred use_module(atom,list(atom)).
%:- pred use_module(atom,atom,list(atom)).

:- pred foreign_file(top,list(top)).
:- pred foreign(top,top).
:- pred load_foreign_files(list(top),list(top)).

:- end_interface(prolog_misc).
